// DESCRIPTION:  Initialization for SideNav master pages.
// MODIFIED:     07 July 2021
// VERSION:      FTFS 1.8
// 
// © Copyright 2017-2021 Micro Focus or one of its affiliates.
//
// The only warranties for products and services of Micro Focus and its affiliates and licensors 
// (“Micro Focus”) are as may be set forth in the express warranty statements accompanying such 
// products and services. Nothing herein should be construed as constituting an additional warranty. 
// Micro Focus shall not be liable for technical or editorial errors or omissions contained herein. 
// The information contained herein is subject to change without notice.

$(function(){
	
	// Set header title using variable set in SideNav master page
	$(".sidenav-layout").on("loaded", function () {
		var titleVariables = document.getElementById("ft-title-variable");
		if (titleVariables !== null) {
			var title = titleVariables.getAttribute("data-ft-title");
			$('div.logo-wrapper').append("<div id=skinTitle>" + title + "</div>");
		}
	});
	
	$("div.masterFooter").addClass("visible");
});